> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Run Status

> Retrieves the current status and result of a task run in the non-deprecated Tasks endpoints.




## OpenAPI

````yaml /openapi.yaml get /v2/tasks/runs/{runId}/status
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v2/tasks/runs/{runId}/status:
    get:
      tags:
        - Tasks
      summary: Get Task Run Status
      description: >
        Retrieves the current status and result of a task run in the
        non-deprecated Tasks endpoints.
      parameters:
        - name: runId
          in: path
          required: true
          description: The ID of the task run
          schema:
            type: string
      responses:
        '200':
          description: Task run status retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskRunStatusV2Response'
        '404':
          description: Task run not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Failed to retrieve task run status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - api_key_header: []
components:
  schemas:
    TaskRunStatusV2Response:
      type: object
      properties:
        run_id:
          type: string
          description: The ID of the task run
        status:
          type: string
          enum:
            - queued
            - running
            - success
            - failure
            - timeout
            - cancelled
          description: Current task run status
        result:
          type: object
          additionalProperties: true
          description: Task output when available
        error:
          type: string
          description: Error message when the run fails
        session_id:
          type: string
          description: Session ID used for this task run
      required:
        - run_id
        - status
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: integer
            message:
              type: string
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: anchor-api-key
      description: API key passed in the header

````